#
# spec file for package perl-Compress-LZO
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Compress-LZO
Version:        1.08
Release:        5.1
License:        Distributable, see COPYING
%define cpan_name Compress-LZO
Summary:        Interface to the LZO compression library
Url:            http://search.cpan.org/dist/Compress-LZO/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/M/MF/MFX/Compress-LZO-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
Patch0:         build.diff
BuildRequires:  lzo-devel perl
BuildRequires:  perl-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
The _Compress::LZO_ module provides a Perl interface to the _LZO_
compression library (see the /AUTHOR manpage for details about where to get
_LZO_). A relevant subset of the functionality provided by _LZO_ is
available in _Compress::LZO_.

All string parameters can either be a scalar or a scalar reference.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0 -p1

%build
export SUSE_ASNEEDED=0
export LZO_LIB=%_libdir
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" LZO_LIB=%_libdir
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc COPYING NEWS README

%changelog
* Sat Jan 22 2011 coolo@novell.com
- fix build
* Sat Jan 22 2011 coolo@novell.com
- initial package 1.08
  * created by cpanspec 1.78.03
